import { default as PropTypes } from 'prop-types';
declare function DomainWarning({ locale, session }: {
    locale?: string | undefined;
    session?: {} | undefined;
}): import("react/jsx-runtime").JSX.Element | null;
declare namespace DomainWarning {
    namespace propTypes {
        let locale: PropTypes.Requireable<string>;
        let session: PropTypes.Requireable<object>;
    }
}
export default DomainWarning;
